package nl.cxs.view.util;

import java.io.IOException;
import java.io.Writer;

import javax.faces.component.UIComponent;
import javax.faces.context.ResponseWriter;

public class BaseResponseWriterDecorator extends ResponseWriter{
    private ResponseWriter rw;

    public BaseResponseWriterDecorator(ResponseWriter responseWriter) {
        this.rw = responseWriter;
    }


    public String getContentType() {
        return rw.getContentType();
    }

    public String getCharacterEncoding() {
        return rw.getCharacterEncoding();
    }

    public void flush() throws IOException {
        rw.flush();
    }

    public void startDocument() throws IOException {
        rw.startDocument();
    }

    public void endDocument() throws IOException {
        rw.endDocument();
    }

    public void startElement(String string, 
                             UIComponent uiComponent) throws IOException {
        rw.startElement(string, uiComponent);
    }

    public void endElement(String string) throws IOException {
        rw.endElement(string);
    }

    public void writeAttribute(String string, Object object, 
                               String string1) throws IOException {
        rw.writeAttribute(string, object, string1);
    }

    public void writeURIAttribute(String string, Object object, 
                                  String string1) throws IOException {
        rw.writeURIAttribute(string, object, string1);
    }

    public void writeComment(Object object) throws IOException {
        rw.writeComment(object);
    }

    public void writeText(Object object, String string) throws IOException {
        rw.writeText(object, string);
    }

    public void writeText(char[] chars, int i, int i1) throws IOException {
        rw.writeText(chars, i, i1);
    }

    public ResponseWriter cloneWithWriter(Writer writer) {
        return rw.cloneWithWriter(writer);
    }

    public void write(char[] cbuf, int off, int len) throws IOException {
        rw.write(cbuf, off, len);
    }

    public void close() throws IOException {
        rw.close();
    }
}
