package nl.cxs.jsf.uicomponents.tags;

import javax.faces.application.Application;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.el.ValueBinding;
import javax.faces.webapp.UIComponentTag;

public class ResponseWriterDecoratorTag extends UIComponentTag{



    String decorator;
    
    public ResponseWriterDecoratorTag() {
    }
    
    public String getComponentType() {
        return "ResponseWriterDecorator";
    }
    
    public String getRendererType() {
        return null;
    }

    protected void setProperties(UIComponent component) {
        super.setProperties(component);
        processProperty(component, decorator, "decorator");
    }
    private void processProperty(UIComponent component, String property, String propertyName) {
      if (property!=null) {
        if (isValueReference(property)) {
            FacesContext context = FacesContext.getCurrentInstance();
            Application app = context.getApplication();
            ValueBinding vb = app.createValueBinding(property);
            component.setValueBinding(propertyName, vb);
        } else {
            component.getAttributes().put(propertyName, property);
        }
      }  
    }

    public void setDecorator(String decorator) {
        this.decorator = decorator;
    }

    public String getDecorator() {
        return decorator;
    }
}
